---
search:
  tags:
    - Inboxes
    - GET
seo:
  description: >-
    The thread's subject, folder, labels and read state; its… Reference for the
    GET /inboxes/{inbox_id}/threads/{thread_id} endpoint in the BillionSend API.
sidebar:
  label: Retrieve a thread
  badge: GET
title: Retrieve a thread
type: openapi-operation
---
The thread's subject, folder, labels and read state; its emails are listed apart.

`GET /inboxes/{inbox_id}/threads/{thread_id}`

**Responses**

- `200` — Thread
- `401` — Missing, malformed, unknown or revoked API key
- `404` — Not found
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "object": "inbox_thread",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "subject": "string",
  "folder": "inbox",
  "labels": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "color": "string"
    }
  ],
  "read": true,
  "quarantined": 0
}
```
